#
# spec file for package knc (Version 1.90)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  autoconf automake docbook-dsssl-stylesheets docbook_3 fam gettext gpp iso_ent jade_dsl kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libxml2 libz mesa mesa-devel mesasoft qt qt-devel qt-extensions sp sp-devel xf86 xf86glu xf86glu-devel
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils docbook-dsssl-stylesheets docbook_3 e2fsprogs fam file fileutils findutils flex freetype2 gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip iso_ent jade_dsl kbd kdebase kdebase-devel kdelibs kdelibs-artsd kdelibs-devel less libgpp libjpeg liblcms libmng libmng-devel libpng libtiff libtool libxml2 libz m4 make man mesa mesa-devel mesasoft mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps qt qt-devel qt-extensions rcs readline rpm sendmail sh-utils shadow sp sp-devel strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xf86glu xf86glu-devel xshared

Name:         knc
Copyright:    unknown
Group:        X11/KDE/Applications
Summary:      File manager program, like the old N.....Commander
Version:      1.90
Release:      347
Source0:      knc-1.90.tar.bz2
Patch0: knc-1.90.dif

%description
You have a left and a right window both showing a directory. You can
copy and move files around and display them.

Authors:
--------
    Henrik Stormer <stormer@ifi.unizh.ch>

SuSE series: k2de

%prep
%setup -n knc-1.90
%patch -p 0 -E

%build
%{?suse_update_config:%{suse_update_config -f . }}
make -f Makefile.cvs
CXXFLAGS="$CXXFLAGS -DNDEBUG -O2 " ./configure \
  --prefix=/opt/kde2 \
 --with-qt-dir=/usr/lib/qt2/ \
  
touch ./knc/pics/Makefile.in --reference=./aclocal.m4
touch ./knc/Makefile.in --reference=./aclocal.m4
touch ./Makefile.in --reference=./aclocal.m4
make

%install
make install

%files
%doc COPYING AUTHORS INSTALL 
%docdir /usr/doc
%docdir /usr/share/doc
%docdir /usr/share/man
%dir /opt/kde2/share/apps/knc
%dir /opt/kde2/share/apps/knc/toolbar
/opt/kde2/bin/knc
/opt/kde2/share/applnk/Utilities/knc.desktop
/opt/kde2/share/apps/knc/kncui.rc
/opt/kde2/share/apps/knc/toolbar/calcsize.png
/opt/kde2/share/apps/knc/toolbar/copy.png
/opt/kde2/share/apps/knc/toolbar/delete.png
/opt/kde2/share/apps/knc/toolbar/move.png
/opt/kde2/share/apps/knc/toolbar/newdir.png
%config /opt/kde2/share/config/kncrc
/opt/kde2/share/icons/hicolor/32x32/apps/knc.png
/opt/kde2/share/icons/hicolor/48x48/apps/knc.png
/opt/kde2/share/icons/locolor/16x16/apps/knc.png
/opt/kde2/share/icons/locolor/32x32/apps/knc.png

%changelog -n knc
* Mon Aug 13 2001 - ro@suse.de
- changed neededforbuild <sp_libs> to <sp-devel>
* Tue Aug 07 2001 - adrian@suse.de
- autoconf 2.52 fixes
* Thu Jul 05 2001 - adrian@suse.de
- autoconf 2.50 fixes
* Tue Mar 27 2001 - ro@suse.de
- changed neededforbuild <docbkdsl> to <docbook-dsssl-stylesheets>
* Sun Mar 18 2001 - ro@suse.de
- fixed neededforbuild
* Tue Mar 13 2001 - ro@suse.de
- changed neededforbuild <docbk30> to <docbook_3>
* Thu Mar 01 2001 - ro@suse.de
- added fam to neededforbuild
* Thu Mar 01 2001 - ro@suse.de
- make it compile by just adding a zillion includes
* Mon Dec 04 2000 - adrian@suse.de
- compile fix
* Fri Nov 17 2000 - ro@suse.de
- fixed neededforbuild: += libmng-devel
* Sat Nov 04 2000 - adrian@suse.de
- new version 1.90 (KDE 2)
* Fri Sep 15 2000 - ro@suse.de
- fixed alpha compilation
* Sun May 28 2000 - adrian@suse.de
- Added group tag, suse_update_config and new file list
* Sat May 27 2000 - @suse.de
- Spec file created from knc-0.5.tar.gz by autospec
* Thu Mar 23 2000 - adrian@suse.de
- New version 0.5
* Tue Mar 21 2000 - ro@suse.de
- initialize QString with "" instead of NULL
* Sun Mar 05 2000 - adrian@suse.de
- New version 0.3
* Wed Feb 09 2000 - ro@suse.de
- fixed to compile
* Mon Nov 29 1999 - kettner@suse.de
- New version 0.2
* Fri Sep 17 1999 - kettner@suse.de
- Reinserted old # Commandline: line.
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Aug 30 1999 - kettner@suse.de
- Spec file created from knc-0.1.0.tar.gz by autospec
